Get Entity Details By Id
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/entities/{entityId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/entities/{entityId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/entities/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Uniswap",
"id": "uniswap",
"logo": "https://uniswap.io/favicon.ico",
"bio": "Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies.",
"description": "Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies.",
"website": "https://uniswap.io",
"twitter": "https://twitter.com/uniswap",
"type": "exchange",
"addresses": [
{
"address": "0x1f98431c8ad98523631ae4a59f267346ea31f984",
"chain": "ethereum",
"is_multi_chain": false,
"primary_label": "Uniswap",
"additional_labels": [
[
"Uniswap",
"Uniswap V3"
]
]
}
]
}Entity API
Get Entity
Retrieve details for a specific entity using its unique ID. Returns name, logo, description, external links and related addresses.
GET
/
entities
/
{entityId}
Get Entity Details By Id
Authorizations
Path Parameters
Example:
"1"
Response
200 - application/json
Returns the entity.
The name of the entity
Example:
"Uniswap"
The id of the entity
Example:
"uniswap"
The logo of the entity
Example:
"https://uniswap.io/favicon.ico"
The bio of the entity
Example:
"Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies."
The description of the entity
Example:
"Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies."
The website of the entity
Example:
"https://uniswap.io"
The twitter of the entity
Example:
"https://twitter.com/uniswap"
The type of the entity
Example:
"exchange"
Show child attributes
Show child attributes

